Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IRenderOption

All Superinterfaces:
  ITaskOption

All Known Subinterfaces:
  IExcelRenderOption, IHTMLRenderOption, IPDFRenderOption, IPostscriptRenderOption

All Known Implementing Classes:
  EXCELRenderOption, HTMLEmitterConfig, HTMLRenderOption, PDFRenderOption, RenderOption, RenderOptionBase

    public interface IRenderOption

extends ITaskOption

Defines render options for emitters

Field Summary
`static java.lang.String` | `ACTION_HANDLER`
`static java.lang.String` | `APP_BASE_URL` APP_BASE_URL is the same as BASE_URL
`static java.lang.String` | `BASE_URL`
`static java.lang.String` | `CHART_DPI` The DPI which chart engine uses to generate charts
`static java.lang.String` | `CLOSE_OUTPUTSTREAM_ON_EXIT` Should the output stream be closed when render task exits.The value is a Boolean object, default is `Boolean.FALSE`
`static java.lang.String` | `EMITTER_ID`
`static java.lang.String` | `HTML_PAGINATION` Should the report contains paginations The value is a Boolean object, default is `Boolean.FALSE`.
`static java.lang.String` | `IMAGE_HANDLER`
`static java.lang.String` | `LOCALE`
`static java.lang.String` | `OUTPUT_DISPLAY_NONE`
`static java.lang.String` | `OUTPUT_EMITTERID_HTML`
`static java.lang.String` | `OUTPUT_EMITTERID_PDF`
`static java.lang.String` | `OUTPUT_FILE_NAME`
`static java.lang.String` | `OUTPUT_FORMAT`
`static java.lang.String` | `OUTPUT_FORMAT_FO`
`static java.lang.String` | `OUTPUT_FORMAT_HTML`
`static java.lang.String` | `OUTPUT_FORMAT_PDF`
`static java.lang.String` | `OUTPUT_STREAM`
`static java.lang.String` | `RENDER_DPI` The DPI which layout engine uses to convert pixel to an abstract length
`static java.lang.String` | `RTL_FLAG` bidi_hcg: Should we output report as RTL.
`static java.lang.String` | `SUPPORTED_IMAGE_FORMATS`

Method Summary
`IHTMLActionHandler` | `getActionHandle()` Deprecated.
`IHTMLActionHandler` | `getActionHandler()`
`java.lang.String` | `getAppBaseURL()` Returns the app base url for URL images
`java.lang.String` | `getBaseURL()` Returns the base URL for creating an Action URL
`java.lang.String` | `getEmitterID()` returns the emitter id
`IHTMLImageHandler` | `getImageHandle()` Deprecated.
`IHTMLImageHandler` | `getImageHandler()`
`java.lang.String` | `getOutputFileName()` Get name of the output file.
`java.lang.String` | `getOutputFormat()` Get output format.
`java.util.Map` | `getOutputSetting()` Deprecated. use getOptions instead
`java.io.OutputStream` | `getOutputStream()` Get output stream.
`java.lang.String` | `getSupportedImageFormats()`
`void` | `setActionHandle(IHTMLActionHandler handler)` Deprecated.
`void` | `setActionHandler(IHTMLActionHandler handler)`
`void` | `setAppBaseURL(java.lang.String appBaseURL)` Set app base url
`void` | `setBaseURL(java.lang.String baseURL)` sets the base url for action handling
`void` | `setEmitterID(java.lang.String emitterID)` sets the emitter id
`void` | `setImageHandle(IHTMLImageHandler handler)` Deprecated.
`void` | `setImageHandler(IHTMLImageHandler handler)`
`void` | `setOutputFileName(java.lang.String outputFileName)` Set name of the output file.
`void` | `setOutputFormat(java.lang.String format)` Set output format.
`void` | `setOutputStream(java.io.OutputStream ostream)` Set output stream.
`void` | `setSupportedImageFormats(java.lang.String formats)`

Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption
`getOption, getOptions, hasOption, setOption`

Field Detail

### OUTPUT_FORMAT

    static final java.lang.String OUTPUT_FORMAT

See Also:
  Constant Field Values

### OUTPUT_FORMAT_HTML

    static final java.lang.String OUTPUT_FORMAT_HTML

See Also:
  Constant Field Values

### OUTPUT_FORMAT_PDF

    static final java.lang.String OUTPUT_FORMAT_PDF

See Also:
  Constant Field Values

### OUTPUT_FORMAT_FO

    static final java.lang.String OUTPUT_FORMAT_FO

See Also:
  Constant Field Values

### OUTPUT_EMITTERID_HTML

    static final java.lang.String OUTPUT_EMITTERID_HTML

See Also:
  Constant Field Values

### OUTPUT_EMITTERID_PDF

    static final java.lang.String OUTPUT_EMITTERID_PDF

See Also:
  Constant Field Values

### EMITTER_ID

    static final java.lang.String EMITTER_ID

See Also:
  Constant Field Values

### OUTPUT_FILE_NAME

    static final java.lang.String OUTPUT_FILE_NAME

See Also:
  Constant Field Values

### OUTPUT_STREAM

    static final java.lang.String OUTPUT_STREAM

See Also:
  Constant Field Values

### IMAGE_HANDLER

    static final java.lang.String IMAGE_HANDLER

See Also:
  Constant Field Values

### ACTION_HANDLER

    static final java.lang.String ACTION_HANDLER

See Also:
  Constant Field Values

### LOCALE

    static final java.lang.String LOCALE

See Also:
  Constant Field Values

### RENDER_DPI

    static final java.lang.String RENDER_DPI

  The DPI which layout engine uses to convert pixel to an abstract length

  See Also:
    Constant Field Values

### CHART_DPI

    static final java.lang.String CHART_DPI

  The DPI which chart engine uses to generate charts

  See Also:
    Constant Field Values

### SUPPORTED_IMAGE_FORMATS

    static final java.lang.String SUPPORTED_IMAGE_FORMATS

See Also:
  Constant Field Values

### BASE_URL

    static final java.lang.String BASE_URL

See Also:
  Constant Field Values

### RTL_FLAG

    static final java.lang.String RTL_FLAG

  bidi_hcg: Should we output report as RTL. The value is a Boolean Object, the default is `Boolean.FALSE`.

  See Also:
    Constant Field Values

### APP_BASE_URL

    static final java.lang.String APP_BASE_URL

  APP_BASE_URL is the same as BASE_URL

  See Also:
    Constant Field Values

### OUTPUT_DISPLAY_NONE

    static final java.lang.String OUTPUT_DISPLAY_NONE

See Also:
  Constant Field Values

### HTML_PAGINATION

    static final java.lang.String HTML_PAGINATION

  Should the report contains paginations The value is a Boolean object, default is `Boolean.FALSE`.

  See Also:
    Constant Field Values

### CLOSE_OUTPUTSTREAM_ON_EXIT

    static final java.lang.String CLOSE_OUTPUTSTREAM_ON_EXIT

  Should the output stream be closed when render task exits.The value is a Boolean object, default is `Boolean.FALSE`

  See Also:
    Constant Field Values

Method Detail

### getOutputSetting

    java.util.Map getOutputSetting()

  Deprecated. use getOptions instead

  Returns:

### setOutputFormat

    void setOutputFormat(java.lang.String format)

  Set output format.

  Parameters:
    `format` -

### getOutputFormat

    java.lang.String getOutputFormat()

  Get output format.

  Returns:

### setOutputFileName

    void setOutputFileName(java.lang.String outputFileName)

  Set name of the output file.

  Parameters:
    `outputFileName` - name of the output file

### getOutputFileName

    java.lang.String getOutputFileName()

  Get name of the output file.

  Returns:
    name

### setOutputStream

    void setOutputStream(java.io.OutputStream ostream)

  Set output stream.

  Parameters:
    `ostream` -

### getOutputStream

    java.io.OutputStream getOutputStream()

  Get output stream.

  Returns:
    output stream

### setSupportedImageFormats

    void setSupportedImageFormats(java.lang.String formats)

  Parameters:
    `formats` - - the image format supported by the browser

### getSupportedImageFormats

    java.lang.String getSupportedImageFormats()

  Returns:
    the image format supported by the browser

### getBaseURL

    java.lang.String getBaseURL()

  Returns the base URL for creating an Action URL

  Returns:
    the baseURL.

### setBaseURL

    void setBaseURL(java.lang.String baseURL)

  sets the base url for action handling

  Parameters:
    `baseURL` - sets the base URL used for action handling

### getAppBaseURL

    java.lang.String getAppBaseURL()

  Returns the app base url for URL images

  Returns:
    appBaseUrl

### setAppBaseURL

    void setAppBaseURL(java.lang.String appBaseURL)

  Set app base url

  Parameters:
    `appBaseURL` - the app base url

### setActionHandle

    void setActionHandle(IHTMLActionHandler handler)

  Deprecated.

  Parameters:
    `handler` -

### setActionHandler

    void setActionHandler(IHTMLActionHandler handler)

### getActionHandle

    IHTMLActionHandler getActionHandle()

  Deprecated.

  Returns:

### getActionHandler

    IHTMLActionHandler getActionHandler()

### setImageHandle

    void setImageHandle(IHTMLImageHandler handler)

  Deprecated.

  Parameters:
    `handler` -

### setImageHandler

    void setImageHandler(IHTMLImageHandler handler)

### getImageHandle

    IHTMLImageHandler getImageHandle()

  Deprecated.

  Returns:

### getImageHandler

    IHTMLImageHandler getImageHandler()

### getEmitterID

    java.lang.String getEmitterID()

  returns the emitter id

  Returns:
    Returns the emitter id

### setEmitterID

    void setEmitterID(java.lang.String emitterID)

  sets the emitter id

  Parameters:
    `emitterID` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.